Subject: bug#23478: 25.0.93; Mouse region selection asymmetry

From: Stephen Berman <[email-masked]>
Date: Fri, 08 Jul 2016 11:58:05 +0200

On Thu, 07 Jul 2016 20:26:06 +0200 Stephen Berman <[email-masked]> wrote:

> On Thu, 07 Jul 2016 20:16:26 +0300 Eli Zaretskii <[email-masked]> wrote:
>
>>> From: Noam Postavsky <[email-masked]>
>>> Date: Thu, 7 Jul 2016 13:02:38 -0400
>>> Cc: Stephen Berman <[email-masked]>, [email-masked]
>>> 
>>> How about mouse-select-region-move-to-beginning.
>>
>> Fine with me.
>>
>
> Me too.
>
> On Thu, 7 Jul 2016 13:02:38 -0400 Noam Postavsky
> <[email-masked]> wrote:
>
>> I also suggest removing mention
>> of scrolling from docstring, I don't think we need to re-explain how
>> moving point interacts with scrolling here.
>>
>> (defcustom mouse-select-region-move-to-beginning nil
>>   "Effect of selecting a region extending backward from double click.
>>
>> Nil means keep point at the position clicked (region end);
>> non-nil means move point to region beginning."
>>   :version "26.1"
>>   :type '(choice (const :tag "Don't move point" nil)
>>                  (const :tag "Move point to beginning of region" t)))
>>
>
> This is also more appropriate, thanks.
>
> I'll push the changes to master as soon as I get a chance (hopefully
> tomorrow).

First, two questions, to hopefully avoid further changes after pushing:

i. Currently no defcustom in master has `:version "26.1"' but several
have `:version "25.2"', so should the latter be used here too?

ii. Is the following NEWS entry ok, both in content and location?

diff --git a/etc/NEWS b/etc/NEWS
index b3a044d..286933f 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -56,6 +56,13 @@ affected by this, as SGI stopped supporting IRIX in December 2013.
 
 * Changes in Emacs 25.2
 
++++
+** The new user option 'mouse-select-region-move-to-beginning'
+controls the position of point when double-clicking mouse-1 on the end
+of a parenthetical grouping or string-delimiter: the default value nil
+keeps point at the end of the region, setting it to non-nil moves
+point to the beginning of the region.
+
 ---
 ** 'find-library-name' will now fall back on looking at 'load-history'
 to try to locate libraries that have been loaded with an explicit path

Steve Berman